package de.fraunhofer.iem.dataprovider.gitlab

import de.fraunhofer.iem.dataprovider.logger.getLogger
import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import de.fraunhofer.iem.dataprovider.taskManager.tasks.GetGitlabProjectTask
import org.springframework.stereotype.Service



@Service
class GitlabService(private val openCodeGitlabConfiguration: OpenCodeGitlabConfiguration, private val taskManager: TaskManager) {

    private val logger = getLogger(javaClass)

    suspend fun queryOpenCodeProject(repoId: Long) {
        taskManager.addTask(GetGitlabProjectTask(repoId = repoId, gitlabConfiguration = openCodeGitlabConfiguration, responseChannel = taskManager::addTask))
    }

}